Python 3.6 can find cairo libs but not Python 2.7

Peter Otten __peter__ at web.de
Thu Jul 12 19:41:58 EDT 2018


D'Arcy Cain wrote:

> $ python2.7 -c "import ctypes.util;
> print(ctypes.util.find_library('cairo'))"
> libcairo.so.2
> $ python3.6 -c "import ctypes.util;
> print(ctypes.util.find_library('cairo'))"
> None
> 
> I have the 3.6 version of py-cairo installed.  Any thoughts?
> 
> NetBSD 7.1.2

Wild guess: one Python is 64 bit and the other is 32 bit, and you have only 
one version of the library installed.



More information about the Python-list mailing list